RetrieveOptions

@MapboxExperimental
class RetrieveOptions @JvmOverloads constructor(val attributeSets: List<AttributeSet>? = null, val unsafeParameters: Map<String, String>? = null) : Parcelable

Bunch of options used by the SearchEngine.retrieve function.

Note: this class is only supported for ApiType.SEARCH_BOX.

See also

Constructors

Link copied to clipboard
fun RetrieveOptions(attributeSets: List<AttributeSet>? = null, unsafeParameters: Map<String, String>? = null)

Functions

Link copied to clipboard
abstract fun describeContents(): Int
Link copied to clipboard
abstract fun writeToParcel(p0: Parcel, p1: Int)

Properties

Link copied to clipboard

Besides the basic metadata attributes, developers can request additional attributes by setting attribute_sets parameter with attribute set values, for example &attribute_sets=basic,photos,visit. The requested metadata will be provided in metadata object in the response.

Link copied to clipboard

Non-verified query parameters, that will be added to the server API request.